Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 665286 - app-editors/notepadqq-1.4.8 : EditorNS/languageservice.cpp:79:23: error: variable QTextStream stream has initializer but incomplete type
Summary: app-editors/notepadqq-1.4.8 : EditorNS/languageservice.cpp:79:23: error: vari...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-09-05 16:45 UTC by Toralf Förster
Modified: 2018-10-11 12:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,1018 bytes, text/plain)
2018-09-05 16:45 UTC, Toralf Förster
Details
app-editors:notepadqq-1.4.8:20180905-075812.log (app-editors:notepadqq-1.4.8:20180905-075812.log,23.19 KB, text/plain)
2018-09-05 16:45 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,84.74 KB, text/plain)
2018-09-05 16:45 UTC, Toralf Förster
Details
environment (environment,54.99 KB, text/plain)
2018-09-05 16:45 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,32.25 KB, application/x-bzip)
2018-09-05 16:45 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,16.48 KB, application/x-bzip)
2018-09-05 16:45 UTC, Toralf Förster
Details
emerge-info.txt (emerge-info.txt,16.76 KB, text/plain)
2018-09-24 20:30 UTC, Toralf Förster
Details
app-editors:notepadqq-1.4.8:20180924-202245.log (app-editors:notepadqq-1.4.8:20180924-202245.log,23.19 KB, text/plain)
2018-09-24 20:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,225.90 KB, text/plain)
2018-09-24 20:30 UTC, Toralf Förster
Details
environment (environment,55.32 KB, text/plain)
2018-09-24 20:30 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,23.85 KB, application/x-bzip)
2018-09-24 20:30 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,16.60 KB, application/x-bzip)
2018-09-24 20:30 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-09-05 16:45:13 UTC
EditorNS/languageservice.cpp: In member function ‘const EditorNS::Language* EditorNS::LanguageService::lookupByContent(QString)’:
EditorNS/languageservice.cpp:79:23: error: variable ‘QTextStream stream’ has initializer but incomplete type
     QTextStream stream(&content);
                       ^
make[1]: *** [Makefile:1438: ../../out/build_data/languageservice.o] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop_libressl_20180902-143139

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv app-editors/notepadqq
[ebuild  N    ] app-editors/notepadqq-1.4.8
Comment 1 Toralf Förster gentoo-dev 2018-09-05 16:45:16 UTC
Created attachment 545984 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-09-05 16:45:19 UTC
Created attachment 545986 [details]
app-editors:notepadqq-1.4.8:20180905-075812.log
Comment 3 Toralf Förster gentoo-dev 2018-09-05 16:45:22 UTC
Created attachment 545988 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-09-05 16:45:25 UTC
Created attachment 545990 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-09-05 16:45:28 UTC
Created attachment 545992 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-09-05 16:45:31 UTC
Created attachment 545994 [details]
temp.tbz2
Comment 7 Andreas Sturmlechner gentoo-dev 2018-09-05 18:41:35 UTC
hmm, works for me.

Unfortunately, 'emerge-info.txt' is garbage.
Comment 8 Toralf Förster gentoo-dev 2018-09-24 20:30:27 UTC
got at the unstable amd64 chroot image 17.0-desktop_libressl_20180917-180518 this : EditorNS/languageservice.cpp:79:23: error: variable QTextStream stream has initializer but incomplete type
Comment 9 Toralf Förster gentoo-dev 2018-09-24 20:30:30 UTC
Created attachment 547830 [details]
emerge-info.txt
Comment 10 Toralf Förster gentoo-dev 2018-09-24 20:30:33 UTC
Created attachment 547832 [details]
app-editors:notepadqq-1.4.8:20180924-202245.log
Comment 11 Toralf Förster gentoo-dev 2018-09-24 20:30:36 UTC
Created attachment 547834 [details]
emerge-history.txt
Comment 12 Toralf Förster gentoo-dev 2018-09-24 20:30:39 UTC
Created attachment 547836 [details]
environment
Comment 13 Toralf Förster gentoo-dev 2018-09-24 20:30:42 UTC
Created attachment 547838 [details]
etc.portage.tbz2
Comment 14 Toralf Förster gentoo-dev 2018-09-24 20:30:45 UTC
Created attachment 547840 [details]
temp.tbz2
Comment 15 Michael Palimaka (kensington) gentoo-dev 2018-10-11 12:29:48 UTC
Fixed in 7a6bb58976a8f5a656b708a24397feac7927dae8.